> ## Documentation Index
> Fetch the complete documentation index at: https://docs.swarmd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Perform DNS TXT verification for an identity provider email domain

> **Security Requirements**

| Auth Types | Entities | Permissions | Required Roles |
|------------|----------|-------------|----------------|
| USER | IDENTITY_PROVIDERS | WRITE | IDENTITY_PROVIDERS:WRITE |

Looks up the expected TXT record at _swarmd-challenge.&lt;domain&gt;. On success the domain status flips to VERIFIED and becomes eligible for SSO discovery.



## OpenAPI

````yaml /openapi/swarmd.json post /tenant-auth/v1/identity-providers/{identityProviderId}/domains/{domain}/verify
openapi: 3.0.1
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://api.swarmd.ai
    description: Production
  - url: https://api.sandbox.swarmd.ai
    description: Sandbox
security: []
tags:
  - name: Policy Groups
    x-displayName: Policy Groups
  - name: Policy Bindings
    x-displayName: Policy Bindings
  - name: Webhooks
    x-displayName: Webhooks
  - name: Human JSON-RPC
    x-displayName: Human JSON-RPC
  - name: Channel JSON-RPC
    x-displayName: Channel JSON-RPC
  - name: HITL Approvals
    x-displayName: HITL Approvals
  - name: Agent JSON-RPC
    x-displayName: Agent JSON-RPC
  - name: Tasks
    x-displayName: Tasks
  - name: Push Notifications
    x-displayName: Push Notifications
  - name: Messaging
    x-displayName: Messaging
  - name: Conversations
    x-displayName: Conversations
  - name: Agent Discovery
    x-displayName: Agent Discovery
  - name: User Subscriptions
    x-displayName: User Subscriptions
  - name: MCP Servers
    x-displayName: MCP Servers
  - name: Kill Switches
    x-displayName: Kill Switches
  - name: Channels
    x-displayName: Channels
  - name: Channel Subscriptions
    x-displayName: Channel Subscriptions
  - name: Agents
    x-displayName: Agents
  - name: Agent Subscriptions
    x-displayName: Agent Subscriptions
  - name: Marketplace
    x-displayName: Marketplace
  - name: Identity Providers
    x-displayName: Identity Providers
  - name: Groups
    x-displayName: Groups
  - name: Authentication
    x-displayName: Authentication
  - name: Users
    x-displayName: Users
  - name: Tenants
    x-displayName: Tenants
  - name: Audit Integrity
    x-displayName: Audit Integrity
  - name: Audit Events
    x-displayName: Audit Events
  - name: Audit Traces
    x-displayName: Audit Traces
  - name: A2A Payments
    x-displayName: A2A Payments
paths:
  /tenant-auth/v1/identity-providers/{identityProviderId}/domains/{domain}/verify:
    post:
      tags:
        - Identity Providers
      summary: Perform DNS TXT verification for an identity provider email domain
      description: >-
        **Security Requirements**


        | Auth Types | Entities | Permissions | Required Roles |

        |------------|----------|-------------|----------------|

        | USER | IDENTITY_PROVIDERS | WRITE | IDENTITY_PROVIDERS:WRITE |


        Looks up the expected TXT record at _swarmd-challenge.&lt;domain&gt;. On
        success the domain status flips to VERIFIED and becomes eligible for SSO
        discovery.
      operationId: verifyIdentityProviderDomain
      parameters:
        - name: identityProviderId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: domain
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/EmailDomainStatus'
      security:
        - bearerAuth: []
components:
  schemas:
    EmailDomainStatus:
      type: object
      properties:
        domain:
          type: string
        status:
          type: string
          enum:
            - PENDING
            - VERIFIED
        expectedTxtRecordName:
          type: string
        expectedTxtRecordValue:
          type: string
        verifiedAt:
          type: string
          format: date-time
        lastCheckedAt:
          type: string
          format: date-time
        lastCheckError:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token (USER, AGENT, or SERVICE auth)

````